import java.io.PrintStream;
class Cat implements Printable2 {
  public void printAll() {
    printAll(System.out);
  }
  public void printAll(PrintStream out) {
    out.println("Meow");
  }
}

public class Printable2Test {
  public static void main(String[] args) {
    Printable2 c = new Cat();
    c.printAll(System.err);
    c.printAll();
  }
}